VSTGUI: ViewListenerAdapter Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ViewListenerAdapter Class Reference

View Listener Interface Adapter. More...

`#include <iviewlistener.h>`

Inheritance diagram for ViewListenerAdapter:

## Public Member Functions
void | viewSizeChanged (CView *view, const CRect &oldSize) override
| called when the view's size changed
void | viewAttached (CView *view) override
| called when a view was attached to a view hierarchy
void | viewRemoved (CView *view) override
| called when a view was removed from the view hierarchy
void | viewLostFocus (CView *view) override
| called when a view lost focus
void | viewTookFocus (CView *view) override
| called when a view took focus
void | viewWillDelete (CView *view) override
| called when a view is going to be destroyed
void | viewOnMouseEnabled (CView *view, bool state) override
| called when a view's mouse handling is enabled or disabled
Public Member Functions inherited from IViewListener
virtual | ~IViewListener () noexcept=default

## Detailed Description

View Listener Interface Adapter.

## Member Function Documentation

## ◆ viewAttached()

void viewAttached | ( | CView * | view | ) |
| inlineoverridevirtual

called when a view was attached to a view hierarchy

Implements IViewListener.

## ◆ viewLostFocus()

void viewLostFocus | ( | CView * | view | ) |
| inlineoverridevirtual

called when a view lost focus

Implements IViewListener.

## ◆ viewOnMouseEnabled()

void viewOnMouseEnabled | ( | CView * | view,
|  | bool | state )
| inlineoverridevirtual

called when a view's mouse handling is enabled or disabled

Implements IViewListener.

## ◆ viewRemoved()

void viewRemoved | ( | CView * | view | ) |
| inlineoverridevirtual

called when a view was removed from the view hierarchy

Implements IViewListener.

## ◆ viewSizeChanged()

void viewSizeChanged | ( | CView * | view,
|  | const CRect & | oldSize )
| inlineoverridevirtual

called when the view's size changed

Implements IViewListener.

## ◆ viewTookFocus()

void viewTookFocus | ( | CView * | view | ) |
| inlineoverridevirtual

called when a view took focus

Implements IViewListener.

## ◆ viewWillDelete()

void viewWillDelete | ( | CView * | view | ) |
| inlineoverridevirtual

called when a view is going to be destroyed

Implements IViewListener.

The documentation for this class was generated from the following file:

- iviewlistener.h